Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class MessageType

    java.lang.Object
      com.compoze.exchange.MessageType

All Implemented Interfaces:
  java.io.Serializable

public class MessageType
extends java.lang.Object
implements java.io.Serializable

This class stores the values for the Exchange message types. The type of message is represented with a type string.

See Also:
  Serialized Form

Field Summary
`static MessageType` | `ACTIVITY` This value represents the 'activity' message type ("IPM.Activity").
`static MessageType` | `APPOINTMENT` This value represents the 'appointment' message type ("IPM.Appointment").
`static MessageType` | `CONTACT` This value represents the 'contact' message type ("IPM.Contact").
`static MessageType` | `DELIVERY_RECEIPT` This value represents the 'delivery receipt' message type ("REPORT.IPM.Note.DR").
`static MessageType` | `DIST_LIST` This value represents the 'distribution list' message type ("IPM.DistList").
`static MessageType` | `JOURNAL` This value represents the 'journal' message type ("IPM.Activity").
`static MessageType` | `MEETING_CANCELED` This value represents the 'meeting canceled' message type ("IPM.Schedule.Meeting.Canceled").
`static MessageType` | `MEETING_REQUEST` This value represents the 'meeting request' message type ("IPM.Schedule.Meeting.Request").
`static MessageType` | `MEETING_REQUEST_UNDELIVERABLE` This value represents the 'undeliverable meeting request' message type ("IPM.Schedule.Meeting.Request.NDR").
`static MessageType` | `MEETING_RESPONSE_ACCEPTED` This value represents the 'meeting response accepted' message type ("IPM.Schedule.Meeting.Resp.Pos").
`static MessageType` | `MEETING_RESPONSE_DECLINED` This value represents the 'meeting response declined' message type ("IPM.Schedule.Meeting.Resp.Neg").
`static MessageType` | `MEETING_RESPONSE_TENTATIVELY_ACCEPTED` This value represents the 'meeting response tentatively accepted' message type ("IPM.Schedule.Meeting.Resp.Pos").
`static MessageType` | `NOTE` This value represents the 'note' message type ("IPM.Note").
`static MessageType` | `OUT_OF_OFFICE` This value represents the 'out of office' message type ("IPM.Note.Rules.OofTemplate.Microsoft").
`static MessageType` | `POST` This value represents the 'post' message type ("IPM.Post").
`static MessageType` | `READ_RECEIPT` This value represents the 'read receipt' message type ("REPORT.IPM.Note.IPNRN").
`static MessageType` | `REPLY_TEMPLATE` This value represents the 'reply template' message type ("IPM.Note.Rules.ReplyTemplate.Microsoft").
`static MessageType` | `STICKY_NOTE` This value represents the 'sticky note' message type ("IPM.StickyNote").
`static MessageType` | `TASK` This value represents the 'task' message type ("IPM.Task").
`static MessageType` | `TASK_REQUEST` This value represents the 'task request' message type ("IPM.TaskRequest").
`static MessageType` | `TASK_REQUEST_ACCEPT` This value represents the 'task request accept' message type ("IPM.TaskRequest.Accept").
`static MessageType` | `TASK_REQUEST_DECLINE` This value represents the 'task request decline' message type ("IPM.TaskRequest.Decline").
`static MessageType` | `TASK_REQUEST_UPDATE` This value represents the 'task request update' message type ("IPM.TaskRequest.Update").
`static MessageType` | `UNDELIVERABLE` This value represents the 'undeliverable' message type ("REPORT.IPM.Note.NDR").
`static MessageType` | `UNKNOWN` This value represents the 'unknown' message type ("IPM.Compoze.Unknown").
`static int` | `VALUE_ACTIVITY` This value represents the 'activity' value.
`static int` | `VALUE_APPOINTMENT` This value represents the 'appointment' value.
`static int` | `VALUE_CONTACT` This value represents the 'contact' value.
`static int` | `VALUE_DELIVERY_RECEIPT` This value represents the 'delivery receipt' value.
`static int` | `VALUE_DIST_LIST` This value represents the 'distribution list' value.
`static int` | `VALUE_JOURNAL` This value represents the 'journal' value.
`static int` | `VALUE_MEETING_CANCELED` This value represents the 'meeting canceled' value.
`static int` | `VALUE_MEETING_REQUEST` This value represents the 'meeting request' value.
`static int` | `VALUE_MEETING_REQUEST_UNDELIVERABLE` This value represents the 'meeting request undeliverable' value.
`static int` | `VALUE_MEETING_RESPONSE_ACCEPTED` This value represents the 'meeting response accepted' value.
`static int` | `VALUE_MEETING_RESPONSE_DECLINED` This value represents the 'meeting response declined' value.
`static int` | `VALUE_MEETING_RESPONSE_TENTATIVELY_ACCEPTED` This value represents the 'meeting response tentatively accepted' value.
`static int` | `VALUE_NOTE` This value represents the 'note' value.
`static int` | `VALUE_OUT_OF_OFFICE` This value represents the 'out of office' value.
`static int` | `VALUE_POST` This value represents the 'post' value.
`static int` | `VALUE_READ_RECEIPT` This value represents the 'read receipt' value.
`static int` | `VALUE_REPLY_TEMPLATE` This value represents the 'reply template' value.
`static int` | `VALUE_STICKY_NOTE` This value represents the 'sticky note' value.
`static int` | `VALUE_TASK` This value represents the 'task' value.
`static int` | `VALUE_TASK_REQUEST` This value represents the 'task request' value.
`static int` | `VALUE_TASK_REQUEST_ACCEPT` This value represents the 'task request accept' value.
`static int` | `VALUE_TASK_REQUEST_DECLINE` This value represents the 'task request decline' value.
`static int` | `VALUE_TASK_REQUEST_UPDATE` This value represents the 'task request decline' value.
`static int` | `VALUE_UNDELIVERABLE` This value represents the 'undeliverable' value.
`static int` | `VALUE_UNKNOWN` This value represents the 'unknown' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static MessageType` | `get(int iValue)` Gets the message type using the enumeration value.
`static MessageType` | `get(java.lang.String sType)` Gets the message type by the specified type string.
`static java.util.List` | `getList()` Gets the list of message types.
`java.lang.Object` | `getStoreValueObject()` Gets the store value as an object.
`java.lang.String` | `getType()` Gets the type string of the message type.
`int` | `getValue()` Gets the enumeration value of the message type.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_NOTE

    public static final int VALUE_NOTE

  This value represents the 'note' value.

  See Also:
    Constant Field Values

### VALUE_APPOINTMENT

    public static final int VALUE_APPOINTMENT

  This value represents the 'appointment' value.

  See Also:
    Constant Field Values

### VALUE_CONTACT

    public static final int VALUE_CONTACT

  This value represents the 'contact' value.

  See Also:
    Constant Field Values

### VALUE_ACTIVITY

    public static final int VALUE_ACTIVITY

  This value represents the 'activity' value.

  See Also:
    Constant Field Values

### VALUE_JOURNAL

    public static final int VALUE_JOURNAL

  This value represents the 'journal' value.

  See Also:
    Constant Field Values

### VALUE_DIST_LIST

    public static final int VALUE_DIST_LIST

  This value represents the 'distribution list' value.

  See Also:
    Constant Field Values

### VALUE_TASK

    public static final int VALUE_TASK

  This value represents the 'task' value.

  See Also:
    Constant Field Values

### VALUE_OUT_OF_OFFICE

    public static final int VALUE_OUT_OF_OFFICE

  This value represents the 'out of office' value.

  See Also:
    Constant Field Values

### VALUE_UNDELIVERABLE

    public static final int VALUE_UNDELIVERABLE

  This value represents the 'undeliverable' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_REQUEST

    public static final int VALUE_MEETING_REQUEST

  This value represents the 'meeting request' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_REQUEST_UNDELIVERABLE

    public static final int VALUE_MEETING_REQUEST_UNDELIVERABLE

  This value represents the 'meeting request undeliverable' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_CANCELED

    public static final int VALUE_MEETING_CANCELED

  This value represents the 'meeting canceled' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_RESPONSE_ACCEPTED

    public static final int VALUE_MEETING_RESPONSE_ACCEPTED

  This value represents the 'meeting response accepted' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_RESPONSE_DECLINED

    public static final int VALUE_MEETING_RESPONSE_DECLINED

  This value represents the 'meeting response declined' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_RESPONSE_TENTATIVELY_ACCEPTED

    public static final int VALUE_MEETING_RESPONSE_TENTATIVELY_ACCEPTED

  This value represents the 'meeting response tentatively accepted' value.

  See Also:
    Constant Field Values

### VALUE_REPLY_TEMPLATE

    public static final int VALUE_REPLY_TEMPLATE

  This value represents the 'reply template' value.

  See Also:
    Constant Field Values

### VALUE_POST

    public static final int VALUE_POST

  This value represents the 'post' value.

  See Also:
    Constant Field Values

### VALUE_STICKY_NOTE

    public static final int VALUE_STICKY_NOTE

  This value represents the 'sticky note' value.

  See Also:
    Constant Field Values

### VALUE_DELIVERY_RECEIPT

    public static final int VALUE_DELIVERY_RECEIPT

  This value represents the 'delivery receipt' value.

  See Also:
    Constant Field Values

### VALUE_READ_RECEIPT

    public static final int VALUE_READ_RECEIPT

  This value represents the 'read receipt' value.

  See Also:
    Constant Field Values

### VALUE_TASK_REQUEST

    public static final int VALUE_TASK_REQUEST

  This value represents the 'task request' value.

  See Also:
    Constant Field Values

### VALUE_TASK_REQUEST_ACCEPT

    public static final int VALUE_TASK_REQUEST_ACCEPT

  This value represents the 'task request accept' value.

  See Also:
    Constant Field Values

### VALUE_TASK_REQUEST_DECLINE

    public static final int VALUE_TASK_REQUEST_DECLINE

  This value represents the 'task request decline' value.

  See Also:
    Constant Field Values

### VALUE_TASK_REQUEST_UPDATE

    public static final int VALUE_TASK_REQUEST_UPDATE

  This value represents the 'task request decline' value.

  See Also:
    Constant Field Values

### VALUE_UNKNOWN

    public static final int VALUE_UNKNOWN

  This value represents the 'unknown' value.

  See Also:
    Constant Field Values

### NOTE

    public static final MessageType NOTE

  This value represents the 'note' message type ("IPM.Note").

### STICKY_NOTE

    public static final MessageType STICKY_NOTE

  This value represents the 'sticky note' message type ("IPM.StickyNote").

### POST

    public static final MessageType POST

  This value represents the 'post' message type ("IPM.Post").

### APPOINTMENT

    public static final MessageType APPOINTMENT

  This value represents the 'appointment' message type ("IPM.Appointment").

### CONTACT

    public static final MessageType CONTACT

  This value represents the 'contact' message type ("IPM.Contact").

### ACTIVITY

    public static final MessageType ACTIVITY

  This value represents the 'activity' message type ("IPM.Activity").

### JOURNAL

    public static final MessageType JOURNAL

  This value represents the 'journal' message type ("IPM.Activity").

### DIST_LIST

    public static final MessageType DIST_LIST

  This value represents the 'distribution list' message type ("IPM.DistList").

### TASK

    public static final MessageType TASK

  This value represents the 'task' message type ("IPM.Task").

### OUT_OF_OFFICE

    public static final MessageType OUT_OF_OFFICE

  This value represents the 'out of office' message type ("IPM.Note.Rules.OofTemplate.Microsoft").

### REPLY_TEMPLATE

    public static final MessageType REPLY_TEMPLATE

  This value represents the 'reply template' message type ("IPM.Note.Rules.ReplyTemplate.Microsoft").

### UNDELIVERABLE

    public static final MessageType UNDELIVERABLE

  This value represents the 'undeliverable' message type ("REPORT.IPM.Note.NDR").

### DELIVERY_RECEIPT

    public static final MessageType DELIVERY_RECEIPT

  This value represents the 'delivery receipt' message type ("REPORT.IPM.Note.DR").

### READ_RECEIPT

    public static final MessageType READ_RECEIPT

  This value represents the 'read receipt' message type ("REPORT.IPM.Note.IPNRN").

### MEETING_REQUEST

    public static final MessageType MEETING_REQUEST

  This value represents the 'meeting request' message type ("IPM.Schedule.Meeting.Request").

### MEETING_REQUEST_UNDELIVERABLE

    public static final MessageType MEETING_REQUEST_UNDELIVERABLE

  This value represents the 'undeliverable meeting request' message type ("IPM.Schedule.Meeting.Request.NDR").

### MEETING_CANCELED

    public static final MessageType MEETING_CANCELED

  This value represents the 'meeting canceled' message type ("IPM.Schedule.Meeting.Canceled").

### MEETING_RESPONSE_ACCEPTED

    public static final MessageType MEETING_RESPONSE_ACCEPTED

  This value represents the 'meeting response accepted' message type ("IPM.Schedule.Meeting.Resp.Pos").

### MEETING_RESPONSE_DECLINED

    public static final MessageType MEETING_RESPONSE_DECLINED

  This value represents the 'meeting response declined' message type ("IPM.Schedule.Meeting.Resp.Neg").

### MEETING_RESPONSE_TENTATIVELY_ACCEPTED

    public static final MessageType MEETING_RESPONSE_TENTATIVELY_ACCEPTED

  This value represents the 'meeting response tentatively accepted' message type ("IPM.Schedule.Meeting.Resp.Pos").

### TASK_REQUEST

    public static final MessageType TASK_REQUEST

  This value represents the 'task request' message type ("IPM.TaskRequest").

### TASK_REQUEST_ACCEPT

    public static final MessageType TASK_REQUEST_ACCEPT

  This value represents the 'task request accept' message type ("IPM.TaskRequest.Accept").

### TASK_REQUEST_DECLINE

    public static final MessageType TASK_REQUEST_DECLINE

  This value represents the 'task request decline' message type ("IPM.TaskRequest.Decline").

### TASK_REQUEST_UPDATE

    public static final MessageType TASK_REQUEST_UPDATE

  This value represents the 'task request update' message type ("IPM.TaskRequest.Update").

### UNKNOWN

    public static final MessageType UNKNOWN

  This value represents the 'unknown' message type ("IPM.Compoze.Unknown").

Method Detail

### getType

    public java.lang.String getType()

  Gets the type string of the message type. This is the message type string in the underlying store.

  Returns:
    the type string of the message type

### getStoreValueObject

    public java.lang.Object getStoreValueObject()

  Gets the store value as an object.

  Returns:
    the store value

### getValue

    public int getValue()

  Gets the enumeration value of the message type. This value is unique within the `MessageType` class.

  Returns:
    the enumeration value of the message type (see `VALUE_` constants)

### get

    public static MessageType get(java.lang.String sType)

  Gets the message type by the specified type string.

  Parameters:
    `sType` - the type string of the message type
  Returns:
    the matching message type or `MessageType.UNKNOWN` if not found

### get

    public static MessageType get(int iValue)

  Gets the message type using the enumeration value.

  Parameters:
    `iValue` - the enumeration value of the message type
  Returns:
    the matching message type or `MessageType.UNKNOWN` if not found

### getList

    public static java.util.List getList()

  Gets the list of message types.

  Returns:
    the list of `MessageType`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. An object is considered equal if the type string matches (case insensitive).

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same type string as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.